---
author: SchrodingersGat
title: 0.12.8 Bugfix Release
---

The InvenTree development team is proud to announce the release of [version 0.12.8](https://github.com/inventree/InvenTree/releases/tag/0.12.8), which provides fixes for a number of bugs reported by our community of users.

## Currency Exchange

One key issue addressed in this release is a fix for fetching exchange rate information from the internet.

To date, InvenTree has made use of the [exchangerate.host](https://exchangerate.host/) service for updating currency exchange rate data. This has (until now) been provided as a free service which did not require authentication.

However recent changes to the exchangerate backend have broken our exchange rate implementation, and required an immediate fix.

### frankfurter.app

For now, the quick approach to get everyone up and running again is to migrate to using the [frankfurter.app](https://www.frankfurter.app/) API. This provides a near-identical API, without needing an API key or paid subscription.

### Future Improvements

Future work on supporting exchange rates will involve supporting different backend APIs, including the ability for users to provide their own API keys. We will also implement the ability for custom plugins to provide exchange rate data - allowing users to define their own exchange rate interface if required.

## Other Improvements

For a full description of other issues addressed in this release, refer to the [release notes](https://github.com/inventree/InvenTree/releases/tag/0.12.8)

## Sponsor the Project

Maintaining and continuously improving a software project requires time, effort, and resources. We are committed to patching critical bugs in a timely manner, to ensure that everyone who is using InvenTree has the best possible experience with our software.

If you would like to financially support the project, please refer to the [contribution guide]({% link contribute.md %}#sponsor).
